from fastapi import FastAPI
from app.api.endpoints import router as api_router
from app.api.health import router as health_router

app = FastAPI(
    title="Generic REST API",
    description="A generic REST API built with FastAPI and SQLAlchemy",
    version="0.1.0",
)

app.include_router(api_router)
app.include_router(health_router)

if __name__ == "__main__":
    import uvicorn
    uvicorn.run("main:app", host="0.0.0.0", port=8000, reload=True)